package net.minecraft.commands;

import java.util.UUID;
import net.minecraft.network.chat.Component;

public interface CommandSource {
    public static final CommandSource NULL = new CommandSource() {
        @Override
        public void sendMessage(final Component mr, final UUID uUID) {
        }
        
        @Override
        public boolean acceptsSuccess() {
            return false;
        }
        
        @Override
        public boolean acceptsFailure() {
            return false;
        }
        
        @Override
        public boolean shouldInformAdmins() {
            return false;
        }
    };
    
    void sendMessage(final Component mr, final UUID uUID);
    
    boolean acceptsSuccess();
    
    boolean acceptsFailure();
    
    boolean shouldInformAdmins();
}
